package com.pcloud.book.advertising.entity;

import java.util.Date;
import com.pcloud.common.entity.BaseEntity;

/**
 * @author PENG
 */
public class AdvertisingAgentPermission extends BaseEntity {

    private static final long serialVersionUID = 8108241715183544708L;
    /**
     * advertising_agent_permission.id (唯一标识)
     */
    private Long id;

    /**
     * advertising_agent_permission.agent_id (出版社ID)
     */
    private Long agentId;

    /**
     * advertising_agent_permission.is_open (是否打开)
     */
    private Boolean isOpen;

    /**
     * advertising_agent_permission.create_time (创建时间)
     */
    private Date createTime;

    /**
     * advertising_agent_permission.update_time (修改时间)
     */
    private Date updateTime;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Boolean getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(Boolean isOpen) {
        this.isOpen = isOpen;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "AdvertisingAgentPermission{" +
                "id=" + id +
                ", agentId=" + agentId +
                ", isOpen=" + isOpen +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                "} " + super.toString();
    }
}